[[MediaWiki:Apihelp-echomarkseen-param-type/en]] i18n issue
Closed, ResolvedPublic

Description

Should we translate 'alert', 'message' and 'all'?

Same for MediaWiki:Apihelp-query+notifications-param-sections

URL: https://translatewiki.net/wiki/MediaWiki:Apihelp-echomarkseen-param-type/en

Macofe created this task.Feb 14 2016, 11:29 AM
Macofe updated the task description. (Show Details)
Macofe raised the priority of this task from to Lowest.
Macofe added a subscriber: Macofe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2016, 11:29 AM
Aklapper set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 14 2016, 1:27 PM

"Message definition (Echo)" hence setting Echo / Notifications project. For future reference, please try to set the correct project. Thanks!

"Message definition (Echo)" hence setting Echo / Notifications project. For future reference, please try to set the correct project. Thanks!

I don't know about projects, priority or title. I just follow a link from translatewiki website for asking information about a message, which takes me to this site which I do not visit, beause I don't care about it. Previously, this was done in translatewiki's Support page so I could follow the issue's thread. I won't be working here, sorry. If you want to contact me, try my talk page at translatewiki.

Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedMar 14 2016, 5:30 AM

"Message definition (Echo)" hence setting Echo / Notifications project. For future reference, please try to set the correct project. Thanks!

I'm wondering why don't you add MediaWiki-API for such i18n issues (i.e. [[MediaWiki:Apihelp-(XXX)]] i18n issue)? Is that project reject i18n requests?

Kind of off-topic now, but:

"Message definition (Echo)" hence setting Echo / Notifications project. For future reference, please try to set the correct project. Thanks!

I'm wondering why don't you add MediaWiki-API for such i18n issues (i.e. [[MediaWiki:Apihelp-(XXX)]] i18n issue)? Is that project reject i18n requests?

Because tasks are usually (there are some exceptions, but this is not one of them) filed against the specific project that corresponds to where the problematic code lives. In this case, the message is part of an API module in the Echo extension, so it falls under Notifications.

Change 277257 had a related patch set uploaded (by Mattflaschen):
Make clear not to translate 'alert'/'message'/'all' in API docs.

https://gerrit.wikimedia.org/r/277257

Change 277257 merged by jenkins-bot:
Make clear not to translate 'alert'/'message'/'all' in API docs.

https://gerrit.wikimedia.org/r/277257

Checked in betalabs - labels differentiate between localized and foreign tags; 'Alerts' and 'Messages' do not have the 'localized' tag.

I'm not sure what I'm seeing here. Those screenshots are, obviously, not normal messages. @Mattflaschen and @Etonkovidova, do you think this bug is resolved? If so, please close it. Thanks.

Mattflaschen-WMF closed this task as Resolved.Mar 30 2016, 12:41 AM

This has nothing to do with the user interface. It's about translations of API documentation for software developers using the API.

@jmatazzoni This is the qqx view, which can be useful if there is a problem with an i18n message, and you need to know the name of the message: http://en.wikipedia.org/wiki/Earth?uselang=qqx . Technically, this is not relevant here, though.

Sorry, I will try to be better about explaining if/how to QA tasks.